@modelberry/mbfactory
TypeScript icon, indicating that this package has built-in type declarations

8.0.8 • Public • Published

@modelberry/mbfactory

Sync Typescript to Contentful. Two way. Models and content.

Requirements

Mbfactory requires Node.js version 16 or higher.

Install

npm install -g @modelberry/mbfactory @modelberry/plugin-contentful

Check for succesful install

mbfactory --help

Setup environment

Copy the env template to: .env.development

Edit the env file and set:

Typescript compiler API

Mbfactory uses the Typescript compiler API which requires a valid tsconfig.json. Use your existing config or create an empty one:

{
  "compilerOptions": {}
}

Next

Head over to the docs and examples at modelberry/mbfactory-docs and start your first push or pull.

Package Sidebar

Install

npm i @modelberry/mbfactory

Weekly Downloads

1

Version

8.0.8

License

MIT

Unpacked Size

247 kB

Total Files

53

Last publish

Collaborators

  • jaccomeijer